<?php
namespace App\data;

class InvoiceDTO
{
    public array $company;
    public array $operation;

    public function __construct(CompanyDTO $company, OperationDTO $operation)
    {
        $this->company   = $company->toArray();
        $this->operation = $operation->toArray();
    }

    public function toArray(): array
    {
        return get_object_vars($this);
    }
}

